<?xml version='1.0' encoding='UTF-8' standalone='no'?>
<section xmlns="http://docbook.org/ns/docbook" version="5.0" xmlns:xlink="http://www.w3.org/1999/xlink" xml:id="_dir_71f12be5768ca2af9c9f300d019944af" xml:lang="en-US">
<title>G:/ids/dragonfly/docs/basic Directory Reference</title>
<indexterm><primary>G:/ids/dragonfly/docs/basic Directory Reference</primary></indexterm>
<section>
<title>Detailed Description</title>

<para>This section contains documentation for the basic data operations of ArmaDragonflyClient that allow for simple key-value storage and retrieval.</para>
<section xml:id="_README.md_1autotoc_md37">
<title>Available Functions</title>
<para><itemizedlist>
<listitem>
<para><link linkend="_md__g_1_2ids_2dragonfly_2docs_2basic_2delete">delete</link> - Delete a value from the database</para>
</listitem><listitem>
<para><link linkend="_md__g_1_2ids_2dragonfly_2docs_2basic_2fetch">fetch</link> - Fetch a value from the database</para>
</listitem><listitem>
<para><link linkend="_md__g_1_2ids_2dragonfly_2docs_2basic_2get">get</link> - Get a value from the database</para>
</listitem><listitem>
<para><link linkend="_md__g_1_2ids_2dragonfly_2docs_2basic_2save">save</link> - Save the database to disk</para>
</listitem><listitem>
<para><link linkend="_md__g_1_2ids_2dragonfly_2docs_2basic_2set">set</link> - Set a value in the database</para>
</listitem></itemizedlist>
</para>
</section>
<section xml:id="_README.md_1autotoc_md38">
<title>Example Usage</title>
<para><literallayout><computeroutput>//&#32;Set&#32;a&#32;value
[&quot;myKey&quot;,&#32;[myValue]]&#32;call&#32;dragonfly_db_fnc_set;

//&#32;Get&#32;a&#32;value
[&quot;myKey&quot;,&#32;&quot;myFunction&quot;]&#32;call&#32;dragonfly_db_fnc_get;

//&#32;Delete&#32;a&#32;key
[&quot;myKey&quot;]&#32;call&#32;dragonfly_db_fnc_delete;

//&#32;Save&#32;database&#32;to&#32;disk
[]&#32;call&#32;dragonfly_db_fnc_save;
</computeroutput></literallayout></para>
</section>
<section xml:id="_README.md_1autotoc_md39">
<title>Related Categories</title>
<para><itemizedlist>
<listitem>
<para>Core Functions</para>
</listitem><listitem>
<para>Hash Operations</para>
</listitem><listitem>
<para>List Operations </para>
</listitem></itemizedlist>
</para>
</section>
</section>
</section>
